# Type specifications

### ProductFiscalInfo

| Property          | Type                                         | Description                                                                                                                                                                                                                                                                   |
| ----------------- | -------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Brand             | string                                       | Product brand                                                                                                                                                                                                                                                                 |
| SKU \*            | string                                       | Product SKU                                                                                                                                                                                                                                                                   |
| Title \*          | string                                       | <p>Product description used on the invoices.</p><p> </p><p>This description will appear in the electronic fiscal invoice generated automatically by Mercado Libre for each sale of that product.</p><p> </p><p>This is NOT the product listing (a.k.a publication) title.</p> |
| MeasurementUnit   | string                                       | <p>Product measurement unit.</p><p> </p><p>Please refer to Mercado Libre's documentation <a href="https://developers.mercadolivre.com.br/pt_br/envio-dos-dados-fiscais">here</a>.</p><p> </p>                                                                                 |
| TaxInformation \* | [#producttaxinfo](#producttaxinfo "mention") | Object with product taxes information                                                                                                                                                                                                                                         |

### ProductTaxInfo

| Property                                 | Type   | Description                                                                                                                                                                                               |
| ---------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p>TaxRuleId \*</p><p>TaxRuleName \*</p> | string | <p>Tax rule ID (number) or name (string) to identify the tax rule previously created using the accounts/taxrules endpoint.</p><p> </p><p>You must use one attribute OR another. Not at the same time.</p> |
| Ncm \*                                   | string | <p>Please refer to Mercado Libre's documentation <a href="https://developers.mercadolivre.com.br/pt_br/envio-dos-dados-fiscais">here</a>.</p><p> </p>                                                     |
| OriginType \*                            | string | <p>Please refer to Mercado Libre's documentation <a href="https://developers.mercadolivre.com.br/pt_br/envio-dos-dados-fiscais">here</a>.</p><p> </p>                                                     |
| OriginDetail \*                          | string | <p>Please refer to Mercado Libre's documentation <a href="https://developers.mercadolivre.com.br/pt_br/envio-dos-dados-fiscais">here</a>.</p><p> </p>                                                     |
| Csosn \*                                 | string | <p>Please refer to Mercado Libre's documentation <a href="https://developers.mercadolivre.com.br/pt_br/envio-dos-dados-fiscais">here</a>.</p><p> </p>                                                     |
| Cest \*                                  | string | <p>Please refer to Mercado Libre's documentation <a href="https://developers.mercadolivre.com.br/pt_br/envio-dos-dados-fiscais">here</a>.</p><p> </p>                                                     |
| Fci                                      | string | <p>Please refer to Mercado Libre's documentation <a href="https://developers.mercadolivre.com.br/pt_br/envio-dos-dados-fiscais">here</a>.</p><p> </p>                                                     |
| ExTipi                                   | string | <p>Please refer to Mercado Libre's documentation <a href="https://developers.mercadolivre.com.br/pt_br/envio-dos-dados-fiscais">here</a>.</p><p> </p>                                                     |
| Ean                                      | string | <p>Please refer to Mercado Libre's documentation <a href="https://developers.mercadolivre.com.br/pt_br/envio-dos-dados-fiscais">here</a>.</p><p> </p>                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/products/put-methods/update-product-fiscal-information/response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
